Compatibility Rated 5 out of 5 stars

I love TACO and ABINE but they are not compatible with Firefox 9. Please update the version.

Great! Thank you! It is installed now.

This review is for a previous version of the add-on (4.40.1-signed). 

Hey Chipotle,
<br>We are in fact compatible with Firefox 9. There is an issue on Mozilla's end that prevents their browser from recognizing we are compatible.<br><br>Please make sure that you have the latest version from our website, v4.43<br>http://abine.com/preview/taco.php<br>You can simply install on top of your existing TACO without losing any of your saved information.